IDR_GET_NEXT(9)

NAME
idr_get_next - lookup next object of id to given id.

SYNOPSIS

void * idr_get_next(struct idr * idp, int * nextidp);

ARGUMENTS

idp
    idr handle

nextidp
    pointer to lookup key

DESCRIPTION

Returns pointer to registered object with id, which is next number to given id. After being looked up, *nextidp will be updated for the next iteration.

This function can be called under rcu_read_lock, given that the leaf pointers lifetimes are correctly managed.

COPYRIGHT